Debian Bug report logs - #495542
ITP: php-cas -- Central Authentication Service client library in php

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Olivier Berger <olivier.berger@it-sudparis.eu>

Date: Mon, 18 Aug 2008 12:51:01 UTC

Owned by: obergix@debian.org

Severity: wishlist

Fixed in version php-cas/1.3.1-1

Done: Olivier Berger <obergix@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#495542; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: libcas-php -- CAS client library for PHP
Date: Mon, 18 Aug 2008 14:49:28 +0200
Package: wnpp
Severity: wishlist


* Package name    : libcas-php (not sure, needs policy)
  Upstream Author : Pascal Aubry
* URL             : http://www.ja-sig.org/wiki/display/CASC/phpCAS
* License         : BSD
  Programming Lang: PHP
  Description     : CAS client library for PHP

phpCAS is a library which allows clients written in PHP to authenticate to a CAS (Central Authentication Service) server.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing-proposed-updates
  APT policy: (500, 'testing-proposed-updates'), (500, 'testing')
Architecture: i386 (i686)




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#495542; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 495542@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: 495542@bugs.debian.org
Subject: Re: Bug#495542: RFP: libcas-php -- CAS client library for PHP
Date: Mon, 18 Aug 2008 15:04:06 +0200
On Mon, Aug 18, 2008 at 02:49:28PM +0200, Olivier Berger wrote:
> 
> phpCAS is a library which allows clients written in PHP to authenticate to a CAS (Central Authentication Service) server.
> 

It seems that this library is already present in the glpi package in Debian, as can be seen in http://packages.debian.org/sid/all/glpi/filelist (searching for phpcas).

That wouldn't help packaging it though.

Best regards




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#495542; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 495542@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: 495542@bugs.debian.org
Subject: Re: Bug#495542: RFP: libcas-php -- CAS client library for PHP
Date: Mon, 18 Aug 2008 18:03:29 +0200
On Mon, Aug 18, 2008 at 03:04:06PM +0200, Olivier Berger wrote:
> On Mon, Aug 18, 2008 at 02:49:28PM +0200, Olivier Berger wrote:
> > 
> > phpCAS is a library which allows clients written in PHP to authenticate to a CAS (Central Authentication Service) server.
> > 
> 
> It seems that this library is already present in the glpi package in Debian, as can be seen in http://packages.debian.org/sid/all/glpi/filelist (searching for phpcas).
> 
> That wouldn't help packaging it though.
> 

Same stands for Moodle, apparently : http://packages.debian.org/sid/all/moodle/filelist

Best regards,




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#495542; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 495542@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: control@bugs.debian.org, 495542@bugs.debian.org
Subject: Re: Bug#495542: RFP: libcas-php -- CAS client library for PHP
Date: Fri, 22 Aug 2008 12:30:23 +0200
# Renaming RFP to ITP
retitle 495542 ITP: libcas-php -- CAS client library for PHP
owner 495542 !
thanks

So, I'm proposing to package it.

Bits of packaging are to be uploaded RSN in http://svn.debian.org/wsvn/pkg-cas/libcas-php/

Best regards,

On Mon, Aug 18, 2008 at 02:49:28PM +0200, Olivier Berger wrote:
> 
> * Package name    : libcas-php (not sure, needs policy)
>   Upstream Author : Pascal Aubry
> * URL             : http://www.ja-sig.org/wiki/display/CASC/phpCAS
> * License         : BSD
>   Programming Lang: PHP
>   Description     : CAS client library for PHP
> 
> phpCAS is a library which allows clients written in PHP to authenticate to a CAS (Central Authentication Service) server.
> 




Changed Bug title to `ITP: libcas-php -- CAS client library for PHP' from `RFP: libcas-php -- CAS client library for PHP'. Request was from Olivier Berger <olivier.berger@it-sudparis.eu> to control@bugs.debian.org. (Fri, 22 Aug 2008 10:39:15 GMT) Full text and rfc822 format available.

Owner recorded as Olivier Berger <olivier.berger@it-sudparis.eu>. Request was from Olivier Berger <olivier.berger@it-sudparis.eu> to control@bugs.debian.org. (Fri, 22 Aug 2008 10:39:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#495542; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #29 received at 495542@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: 495542@bugs.debian.org
Subject: license issue on domxml-php4-php5.php
Date: Fri, 22 Aug 2008 15:31:53 +0200
On Fri, Aug 22, 2008 at 12:30:23PM +0200, Olivier Berger wrote:
> So, I'm proposing to package it.
> 
> Bits of packaging are to be uploaded RSN in http://svn.debian.org/wsvn/pkg-cas/libcas-php/
> 

By looking at the copyright of included files, I noticed that domxml-php4-php5.php is apparently under a DFSG non-free license (CC-BY-SA 2.0-FR) license (if I trust what's explained at http://people.debian.org/~evan/ccsummary.html).

I guess it shouldn't be uploaded to Debian as such, then.

domxml-php4-php5.php is currently used when using phpCAS in PHP 5, in particular with CAS 2 servers.

So it is actually required for the library to work.

There seems to be quite easy way to make phpCAS work without that library by using PHP dom API directly instead of the old PHP4 syntax + domxml-php4-php5.php. Such changes are similar to what's exposed at : http://www.ja-sig.org/issues/secure/attachment/11173/php5-dom.patch

More on this later.

Best regards,




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#495542; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #34 received at 495542@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: 495542@bugs.debian.org
Subject: License of phpCAS : clarification needed
Date: Fri, 22 Aug 2008 16:36:22 +0200
On Fri, Aug 22, 2008 at 03:31:53PM +0200, Olivier Berger wrote:
> On Fri, Aug 22, 2008 at 12:30:23PM +0200, Olivier Berger wrote:
> > So, I'm proposing to package it.
> > 
> > Bits of packaging are to be uploaded RSN in http://svn.debian.org/wsvn/pkg-cas/libcas-php/
> > 
> 
Also, I've noticed that the licensing terms for phpCAS are a bit ambiguous...

Looking at : http://www.ja-sig.org/wiki/display/CASC/phpCAS ("License" chapter) it seems to me that they refer to the "New BSD License" while still mentioning an "advertising clause" in condition 3 in the text bellow :(

As such this would mean that it's using the "old style advertizing clause BSD" to me... which is DFSG-free I think, but not compatible with the GNU GPL.

I'm going to look for more details, and will ask clarification with upstream author.

Best regards,




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#495542; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #39 received at 495542@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: 495542@bugs.debian.org
Subject: Re: Bug#495542: License of phpCAS : clarification needed
Date: Fri, 22 Aug 2008 17:02:28 +0200
On Fri, Aug 22, 2008 at 04:36:22PM +0200, Olivier Berger wrote:
> On Fri, Aug 22, 2008 at 03:31:53PM +0200, Olivier Berger wrote:
> > On Fri, Aug 22, 2008 at 12:30:23PM +0200, Olivier Berger wrote:
> > > So, I'm proposing to package it.
> > > 
> > > Bits of packaging are to be uploaded RSN in http://svn.debian.org/wsvn/pkg-cas/libcas-php/
> > > 
> > 
> Also, I've noticed that the licensing terms for phpCAS are a bit ambiguous...
> 
> Looking at : http://www.ja-sig.org/wiki/display/CASC/phpCAS ("License" chapter) it seems to me that they refer to the "New BSD License" while still mentioning an "advertising clause" in condition 3 in the text bellow :(
> 
> As such this would mean that it's using the "old style advertizing clause BSD" to me... which is DFSG-free I think, but not compatible with the GNU GPL.
> 
> I'm going to look for more details, and will ask clarification with upstream author.
> 
> Best regards,
> 

Such a license seems DFSG free, as such advertising clauses are already present for programs like OpenSSL which is in main.

So I hope this is no problem for inclusion in Debian, as long as the domxml-php4-php5.php issue is resolved.

My 2 cents,




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#495542; Package wnpp. (Wed, 24 Sep 2008 20:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 24 Sep 2008 20:42:02 GMT) Full text and rfc822 format available.

Message #44 received at 495542@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: 495542@bugs.debian.org
Subject: Re: Bug#495542: License of phpCAS : clarification needed
Date: Wed, 24 Sep 2008 22:38:07 +0200
On Fri, Aug 22, 2008 at 04:36:22PM +0200, Olivier Berger wrote:
> On Fri, Aug 22, 2008 at 03:31:53PM +0200, Olivier Berger wrote:
> > On Fri, Aug 22, 2008 at 12:30:23PM +0200, Olivier Berger wrote:
> > > So, I'm proposing to package it.
> > > 
> > > Bits of packaging are to be uploaded RSN in http://svn.debian.org/wsvn/pkg-cas/libcas-php/
> > > 
> > 
> Also, I've noticed that the licensing terms for phpCAS are a bit ambiguous...
> 
> Looking at : http://www.ja-sig.org/wiki/display/CASC/phpCAS ("License" chapter) it seems to me that they refer to the "New BSD License" while still mentioning an "advertising clause" in condition 3 in the text bellow :(
> 
> As such this would mean that it's using the "old style advertizing clause BSD" to me... which is DFSG-free I think, but not compatible with the GNU GPL.
> 
> I'm going to look for more details, and will ask clarification with upstream author.
> 

A new version of phpCAS has just been issued which contains an update of the license notice, which is now a "real" new BSD license.

The was apparently some confusion between various versions of the library at the time of redaction of the phpCAS wiki page.

At least https://www.ja-sig.org/svn/cas-clients/phpcas/tags/1.0.1/docs/README seems more kosher now.

Still the issue with the CC domxml-php4-php5.php inclusion is problematic for packaging it.

Best regards,




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#495542; Package wnpp. (Wed, 24 Sep 2008 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 24 Sep 2008 20:51:03 GMT) Full text and rfc822 format available.

Message #49 received at 495542@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: 495542@bugs.debian.org
Subject: Re: Bug#495542: license issue on domxml-php4-php5.php
Date: Wed, 24 Sep 2008 22:50:02 +0200
On Fri, Aug 22, 2008 at 03:31:53PM +0200, Olivier Berger wrote:
> 
> By looking at the copyright of included files, I noticed that domxml-php4-php5.php is apparently under a DFSG non-free license (CC-BY-SA 2.0-FR) license (if I trust what's explained at http://people.debian.org/~evan/ccsummary.html).
> 
> I guess it shouldn't be uploaded to Debian as such, then.
> 

See upstream issue http://www.ja-sig.org/issues/browse/PHPCAS-30 I've just filed to keep a track of progress on that issue.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#495542; Package wnpp. (Sun, 09 Nov 2008 16:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 09 Nov 2008 16:12:14 GMT) Full text and rfc822 format available.

Message #54 received at 495542@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: 495542@bugs.debian.org
Cc: "pkg-cas-maintainers@lists.alioth.debian.org" <pkg-cas-maintainers@lists.alioth.debian.org>
Subject: Updated 1.0.1 version of phpCAS package, now including DFSG-free contents, needs testing
Date: Sun, 09 Nov 2008 17:09:30 +0100
Hi.

I've prepared an updated version of the phpCAS package (libcas-php) for
latest version 1.0.1 (which is now under a real new BSD license). 

I have also applied a patch to replace the old version of
domxml-php4-php5.php (which was not DFSG-free) by the latest version of
domxml-php4-to-php5.php, which is now under LGPL.

As the contents should now be fully kosher for distribution by Debian, I
hope this will be a basis for upload of this package.

Still, I'm not fully sure that the change of version of
domxml-php4-php5.php (1.5.5) to domxml-php4-to-php5.php 1.20a is
completely safe and wouldn't cause regressions.

So any testing is very much welcome, of course.

The package source is in http://svn.debian.org/wsvn/pkg-cas/libcas-php/
of course ;-)

Comments much welcome.

Hope this helps,
-- 
Olivier BERGER <olivier.berger@it-sudparis.eu>
http://www-public.it-sudparis.eu/~berger_o/ - OpenPGP-Id: 1024D/6B829EEC
Ingénieur Recherche - Dept INF
Institut TELECOM, SudParis (http://www.it-sudparis.eu/), Evry (France)





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#495542; Package wnpp. (Mon, 17 Nov 2008 13:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 17 Nov 2008 13:09:03 GMT) Full text and rfc822 format available.

Message #59 received at 495542@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: debian-mentors@lists.debian.org
Cc: "pkg-cas-maintainers@lists.alioth.debian.org" <pkg-cas-maintainers@lists.alioth.debian.org>, 495542@bugs.debian.org, moodle@packages.debian.org, glpi@packages.debian.org
Subject: RFS: libcas-php
Date: Mon, 17 Nov 2008 14:02:33 +0100
[Message part 1 (text/plain, inline)]
Dear mentors,

I am looking for a sponsor for my package "libcas-php".

* Package name    : libcas-php
  Version         : 1.0.1-1
  Upstream Author : Pascal Aubry
* URL             : http://www.ja-sig.org/wiki/display/CASC/phpCAS
* License         : BSD
  Section         : web

It builds these binary packages:
libcas-php - CAS client library for PHP

The package appears to be lintian clean.

The package can be found on mentors.debian.net:
- URL: http://mentors.debian.net/debian/pool/main/l/libcas-php
- Source repository: deb-src http://mentors.debian.net/debian unstable main contrib non-free
- dget http://mentors.debian.net/debian/pool/main/l/libcas-php/libcas-php_1.0.1-1.dsc

For those who care, phpCAS is a library which allows clients written in PHP to
authenticate to a CAS (Central Authentication Service) server.

The corresponding ITP is found at http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=495542 

Note that this package would allow the dependency of a number of
packages such as moodle and glpi on that package instead of shipping a
copy of phpCAS (http://packages.debian.org/sid/all/moodle/filelist and
http://packages.debian.org/sid/all/glpi/filelist).

I would be glad if someone uploaded this package for me.

Kind regards
 Olivier Berger
-- 
Olivier BERGER <olivier.berger@it-sudparis.eu>
http://www-public.it-sudparis.eu/~berger_o/ - OpenPGP-Id: 1024D/6B829EEC
Ingénieur Recherche - Dept INF
Institut TELECOM, SudParis (http://www.it-sudparis.eu/), Evry (France)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Olivier Berger <olivier.berger@it-sudparis.eu>:
Bug#495542; Package wnpp. (Mon, 17 Nov 2008 21:31:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <atomo64+debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Olivier Berger <olivier.berger@it-sudparis.eu>. (Mon, 17 Nov 2008 21:31:43 GMT) Full text and rfc822 format available.

Message #64 received at 495542@bugs.debian.org (full text, mbox):

From: Raphael Geissert <atomo64+debian@gmail.com>
To: 495542@bugs.debian.org, debian-mentors@lists.debian.org
Subject: Re: Bug#495542: RFS: libcas-php
Date: Mon, 17 Nov 2008 15:20:55 -0600
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


Olivier Berger wrote:
[...]
> 
> The corresponding ITP is found at
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=495542
> 
> Note that this package would allow the dependency of a number of
> packages such as moodle and glpi on that package instead of shipping a
> copy of phpCAS (http://packages.debian.org/sid/all/moodle/filelist and
> http://packages.debian.org/sid/all/glpi/filelist).

While you are at it, as your package also uses domxml-php4-php5.php why don't
you also package it? (it would be better if the code was finally ported instead
of using a wrapper, though).

debian/control:
> Depends: ${misc:Depends}, php5, php5-curl, php-db

Does it really need a web SAPI? or can it be used with php5-cli? in the latter
case add an ORed dependency on php5-cli in addition to php5.

debian/rules:
What about cleaning it up?

debian/copyright:
> Upstream Author:
> 
>          Pascal Aubry

What about also displaying his email address?

> License: (stated at : http://www.ja-sig.org/wiki/display/CASC/phpCAS)
what about docs/README?

>         - In case of jurisdiction dispute, the French law is authoritative.
let's see what ftpmasters say about this.

debian/dirs:
empty? delete it

debian/docs:
ditto

debian/README.Debian:
> This packaging needs testing as I'm not fully sure there ain't
> regressions introduced by this upgrade of the DOM parsing library.

Have you at lest tested the basic functionality of the library with the newer
version of domxml-php4-php5.php or are you blindly packaging stuff?

CAS.php:
> define("CAS_PGT_STORAGE_FILE_DEFAULT_PATH",'/tmp');
..
> define("CAS_PGT_STORAGE_FILE_FORMAT_PLAIN",'plain');

Doesn't look good at all.

CAS/client.php:
>                 if ( $this->isProxy() ) {
>                         // pass the callback url for CAS proxies
>                         $validate_url .= '&pgtUrl='.$this->getCallbackURL();
>                 }

Improper sanitation of getCallbackURL which uses data like REQUEST_URI; and
there's more about this, but I'm better going to test it and send the info to
bugtraq.

What about also shipping the api docs?

> 
> I would be glad if someone uploaded this package for me.
> 
> Kind regards
>  Olivier Berger

Cheers,
- -- 
Raphael Geissert - Debian Maintainer
www.debian.org - get.debian.net

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkkh4DgACgkQYy49rUbZzlpidACdHdyy2K2FNo2334O5aYeJBE3N
UuMAnitV2FwS6aXckmPYlucnoaLBivPm
=bYUb
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#495542; Package wnpp. (Tue, 18 Nov 2008 08:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 18 Nov 2008 08:48:06 GMT) Full text and rfc822 format available.

Message #69 received at 495542@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: Raphael Geissert <atomo64+debian@gmail.com>
Cc: 495542@bugs.debian.org, debian-mentors@lists.debian.org
Subject: Re: Bug#495542: RFS: libcas-php
Date: Tue, 18 Nov 2008 09:42:29 +0100
Hi.

Thanks for your review. I'll respond bellow.

Le lundi 17 novembre 2008 à 15:20 -0600, Raphael Geissert a écrit :
> Olivier Berger wrote:
> [...]
> > 
> > The corresponding ITP is found at
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=495542
> > 
> > Note that this package would allow the dependency of a number of
> > packages such as moodle and glpi on that package instead of shipping a
> > copy of phpCAS (http://packages.debian.org/sid/all/moodle/filelist and
> > http://packages.debian.org/sid/all/glpi/filelist).
> 
> While you are at it, as your package also uses domxml-php4-php5.php why don't
> you also package it? (it would be better if the code was finally ported instead
> of using a wrapper, though).
> 

I can see a couple of reasons why packaging domxml-php4-php5.php may not
be needed :
* it's a one file library, so I'm not sure it's really a habit of
packaging individual files ?
* it may be included in Debian packages only by those which include a
copy of phpCAS (but confirmation would be welcome)
* It will probably be no longer needed in phpCAS when future releases
will be rewritten (as you suggest) to only support php5, thus using the
php5 DOM API instead of the old PHP4 one. But that's not something that
would be done only for Debian, and I'll wait until a decision is taken
upstream (although I may also again contribute to upstream development
for that). More details here :
http://www.ja-sig.org/issues/browse/PHPCAS-25 about a rewrite to get rid
of that wrapper.

So until usptream phpCAS releases a new version which allows to get rid
of domxml-php4-php5.php, I'll stick with it in.

> debian/control:
> > Depends: ${misc:Depends}, php5, php5-curl, php-db
> 
> Does it really need a web SAPI? 

Uh, SAPI ?

> or can it be used with php5-cli? in the latter
> case add an ORed dependency on php5-cli in addition to php5.
> 

I have no clue. 
Typical use of CAS is traditionally on web apps, and the protocol
involves redirections between the CAS server and clients, so I'm not so
sure a non web use is something interesting.

I suppose most of the use cases would be satisfied as is... unless in
CGI mode, where php5-cgi would be ORed too ?

> debian/rules:
> What about cleaning it up?
> 
Sure.

> debian/copyright:
> > Upstream Author:
> > 
> >          Pascal Aubry
> 
> What about also displaying his email address?
Sure.

> 
> > License: (stated at : http://www.ja-sig.org/wiki/display/CASC/phpCAS)
> what about docs/README?
> 
Sure... and it appears to be missing from the package, btw :( Fixing
that.

> >         - In case of jurisdiction dispute, the French law is authoritative.
> let's see what ftpmasters say about this.
OK.

> 
> debian/dirs:
> empty? delete it
Yup.

> 
> debian/docs:
> ditto
No longer, added upstream README.

> 
> debian/README.Debian:
> > This packaging needs testing as I'm not fully sure there ain't
> > regressions introduced by this upgrade of the DOM parsing library.
> 
> Have you at lest tested the basic functionality of the library with the newer
> version of domxml-php4-php5.php or are you blindly packaging stuff?

No I have tested it, but you never exactly know for corner cases like
error messages hard to test.

Btw, my main motivation for packaging it is to use it on a production
server, so I'd better have it tested of course.

In any case I preferred some explicit mention that it's not exactly
upstream's version, to let people know who's to blame in case of
problem.

Will rephrase as : 

        Differences from upstream version :
        -----------------------------------
        
        This package includes a Debian specific patch, to replace
        domxml-php4-php5.php version 1.5.5 (shipped with version 1.0.1
        of
        phpCAS) by version 1.20a of domxml-php4-to-php5.php, which is
        now
        under LGPL, making it DFSG-free.
        
        Best care was taken by the Debian packager to make sure there
        ain't
        regressions introduced by this upgrade of the DOM parsing
        library. Please report to the Debian BTS if you experience
        problems
        related to that change.
        
> 
> CAS.php:
> > define("CAS_PGT_STORAGE_FILE_DEFAULT_PATH",'/tmp');
> ..
> > define("CAS_PGT_STORAGE_FILE_FORMAT_PLAIN",'plain');
> 
> Doesn't look good at all.

Hmmm... I guess that needs to be fixed indeed. Thanks for spotting that.

> 
> CAS/client.php:
> >                 if ( $this->isProxy() ) {
> >                         // pass the callback url for CAS proxies
> >                         $validate_url .= '&pgtUrl='.$this->getCallbackURL();
> >                 }
> 
> Improper sanitation of getCallbackURL which uses data like REQUEST_URI; and
> there's more about this, but I'm better going to test it and send the info to
> bugtraq.

Feel free to notify me and/or phpcas-devel@esup-portail.org please (or have a 
look at http://www.ja-sig.org/wiki/display/CASC/phpCAS+bug+reports .

> 
> What about also shipping the api docs?
> 

Well maybe in a separate -doc package, then ?

> > 
> > I would be glad if someone uploaded this package for me.
> > 
> > Kind regards
> >  Olivier Berger
> 
> Cheers,
> - -- 
> Raphael Geissert - Debian Maintainer
> www.debian.org - get.debian.net

Thanks alot for the detailed review.

Regards,
-- 
Olivier BERGER <olivier.berger@it-sudparis.eu>
http://www-public.it-sudparis.eu/~berger_o/ - OpenPGP-Id: 1024D/6B829EEC
Ingénieur Recherche - Dept INF
Institut TELECOM, SudParis (http://www.it-sudparis.eu/), Evry (France)





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#495542; Package wnpp. (Tue, 18 Nov 2008 15:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 18 Nov 2008 15:51:07 GMT) Full text and rfc822 format available.

Message #74 received at 495542@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: 495542@bugs.debian.org
Cc: pkg-cas-maintainers@lists.alioth.debian.org, Raphael Geissert <atomo64+debian@gmail.com>
Subject: Fixing the /tmp usage and a bug in validate PGT()
Date: Tue, 18 Nov 2008 16:46:18 +0100
FYI, I have prepared another package (available at http://mentors.debian.net/debian/pool/main/l/libcas-php/libcas-php_1.0.1-2.dsc)

In order to address the following issues :

On Tue, Nov 18, 2008 at 09:42:29AM +0100, Olivier Berger wrote:
> 
> Le lundi 17 novembre 2008 à 15:20 -0600, Raphael Geissert a écrit :
> > Olivier Berger wrote:
> > [...]
> > > 
> 
> > debian/rules:
> > What about cleaning it up?
> > 
> Sure.
> 
done

> > debian/copyright:
> > > Upstream Author:
> > > 
> > >          Pascal Aubry
> > 
> > What about also displaying his email address?
> Sure.
done

> 
> > 
> > > License: (stated at : http://www.ja-sig.org/wiki/display/CASC/phpCAS)
> > what about docs/README?
> > 
> Sure... and it appears to be missing from the package, btw :( Fixing
> that.
>
done
 
> > debian/dirs:
> > empty? delete it
> Yup.

somehow fixed, as it has reappeared (see bellow)
> 
> > 
> > debian/docs:
> > ditto
> No longer, added upstream README.
done

> 
> > 
> > debian/README.Debian:
> > > This packaging needs testing as I'm not fully sure there ain't
> > > regressions introduced by this upgrade of the DOM parsing library.
> > 
> > Have you at lest tested the basic functionality of the library with the newer
> > version of domxml-php4-php5.php or are you blindly packaging stuff?
> 
> No I have tested it, but you never exactly know for corner cases like
> error messages hard to test.
> 
> Btw, my main motivation for packaging it is to use it on a production
> server, so I'd better have it tested of course.
> 
> In any case I preferred some explicit mention that it's not exactly
> upstream's version, to let people know who's to blame in case of
> problem.
> 
> Will rephrase as : 
> 
>         Differences from upstream version :
>         -----------------------------------
>         
>         This package includes a Debian specific patch, to replace
>         domxml-php4-php5.php version 1.5.5 (shipped with version 1.0.1
>         of
>         phpCAS) by version 1.20a of domxml-php4-to-php5.php, which is
>         now
>         under LGPL, making it DFSG-free.
>         
>         Best care was taken by the Debian packager to make sure there
>         ain't
>         regressions introduced by this upgrade of the DOM parsing
>         library. Please report to the Debian BTS if you experience
>         problems
>         related to that change.
done

>         
> > 
> > CAS.php:
> > > define("CAS_PGT_STORAGE_FILE_DEFAULT_PATH",'/tmp');
> > ..
> > > define("CAS_PGT_STORAGE_FILE_FORMAT_PLAIN",'plain');
> > 
> > Doesn't look good at all.
> 
> Hmmm... I guess that needs to be fixed indeed. Thanks for spotting that.

I have applied a patch in order to use /var/lib/libcas-php/pgtstorage/ and not /tmp for storage.

Hope I did it in a safe way.


In addition, I have tested more the proxy mode and fixed a nasty crash that occurred in validatePGT with the new domxml-php4-to-php5.

Changes to the previous package are :

libcas-php (1.0.1-2) unstable; urgency=low

  * Cleanup debian/rules.
  * Add missing updtream README in docs/.
  * Move PGT storage dir to /var/lib/libcas-php/pgtstorage/ for safety
    reasons.
  * fix crash of validatePGT() when using new domxml-php4-to-php5.php
    (upstream bug PHPCAS-35)

 -- Olivier Berger <olivier.berger@it-sudparis.eu>  Tue, 18 Nov 2008 16:35:12 +0100


Any comments welcome

Best regards,




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Olivier Berger <olivier.berger@it-sudparis.eu>:
Bug#495542; Package wnpp. (Tue, 18 Nov 2008 22:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <atomo64+debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Olivier Berger <olivier.berger@it-sudparis.eu>. (Tue, 18 Nov 2008 22:15:02 GMT) Full text and rfc822 format available.

Message #79 received at 495542@bugs.debian.org (full text, mbox):

From: Raphael Geissert <atomo64+debian@gmail.com>
To: 495542@bugs.debian.org,debian-mentors@lists.debian.org
Subject: Re: Bug#495542: RFS: libcas-php
Date: Tue, 18 Nov 2008 16:11:48 -0600
Hi,

[No need to CC me as long as -mentors is]

Olivier Berger wrote:

> Hi.
> 
> Thanks for your review. I'll respond bellow.
> 
> Le lundi 17 novembre 2008 à 15:20 -0600, Raphael Geissert a écrit :
>> Olivier Berger wrote:
>> [...]
>> > 
>> > The corresponding ITP is found at
>> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=495542
>> > 
>> > Note that this package would allow the dependency of a number of
>> > packages such as moodle and glpi on that package instead of shipping a
>> > copy of phpCAS (http://packages.debian.org/sid/all/moodle/filelist and
>> > http://packages.debian.org/sid/all/glpi/filelist).
>> 
>> While you are at it, as your package also uses domxml-php4-php5.php why don't
>> you also package it? (it would be better if the code was finally ported
>> instead of using a wrapper, though).
>> 
> 
> I can see a couple of reasons why packaging domxml-php4-php5.php may not
> be needed :
> * it's a one file library, so I'm not sure it's really a habit of
> packaging individual files ?
> * it may be included in Debian packages only by those which include a
> copy of phpCAS (but confirmation would be welcome)
> * It will probably be no longer needed in phpCAS when future releases
> will be rewritten (as you suggest) to only support php5, thus using the
> php5 DOM API instead of the old PHP4 one. But that's not something that
> would be done only for Debian, and I'll wait until a decision is taken
> upstream (although I may also again contribute to upstream development
> for that). More details here :
> http://www.ja-sig.org/issues/browse/PHPCAS-25 about a rewrite to get rid
> of that wrapper.
> 
> So until usptream phpCAS releases a new version which allows to get rid
> of domxml-php4-php5.php, I'll stick with it in.

Yeah, I forgot that all the matches I found of the dom lib were because of the
embedded copy of phpCAS

> 
>> debian/control:
>> > Depends: ${misc:Depends}, php5, php5-curl, php-db
>> 
>> Does it really need a web SAPI?
> 
> Uh, SAPI ?

SAPI: Server Application Programming Interface
E.g. apache, apache2, cgi, cli, embedded, roxen, etc.

> 
>> or can it be used with php5-cli? in the latter
>> case add an ORed dependency on php5-cli in addition to php5.
>> 
> 
> I have no clue.
> Typical use of CAS is traditionally on web apps, and the protocol
> involves redirections between the CAS server and clients, so I'm not so
> sure a non web use is something interesting.

I saw that, but CAS.php looked like a more general pourpose script, although I
didn't examine it very well.

> 
> I suppose most of the use cases would be satisfied as is... unless in
> CGI mode, where php5-cgi would be ORed too ?

No, php5-cgi is already covered by php5.

>> 
>> debian/README.Debian:
>> > This packaging needs testing as I'm not fully sure there ain't
>> > regressions introduced by this upgrade of the DOM parsing library.
>> 
>> Have you at lest tested the basic functionality of the library with the newer
>> version of domxml-php4-php5.php or are you blindly packaging stuff?
> 
> No I have tested it, but you never exactly know for corner cases like
> error messages hard to test.
> 
> Btw, my main motivation for packaging it is to use it on a production
> server, so I'd better have it tested of course.
> 
> In any case I preferred some explicit mention that it's not exactly
> upstream's version, to let people know who's to blame in case of
> problem.
> 
> Will rephrase as :
> 
>         Differences from upstream version :
>         -----------------------------------
>         
>         This package includes a Debian specific patch, to replace
>         domxml-php4-php5.php version 1.5.5 (shipped with version 1.0.1
>         of
>         phpCAS) by version 1.20a of domxml-php4-to-php5.php, which is
>         now
>         under LGPL, making it DFSG-free.
>         
>         Best care was taken by the Debian packager to make sure there
>         ain't
>         regressions introduced by this upgrade of the DOM parsing
>         library. Please report to the Debian BTS if you experience
>         problems
>         related to that change.
>         

Ok, looks better now.

>> 
>> CAS.php:
>> > define("CAS_PGT_STORAGE_FILE_DEFAULT_PATH",'/tmp');
>> ..
>> > define("CAS_PGT_STORAGE_FILE_FORMAT_PLAIN",'plain');
>> 
>> Doesn't look good at all.
> 
> Hmmm... I guess that needs to be fixed indeed. Thanks for spotting that.
> 
>> 
>> CAS/client.php:
>> >                 if ( $this->isProxy() ) {
>> >                         // pass the callback url for CAS proxies
>> >                         $validate_url .=
>> >                         '&pgtUrl='.$this->getCallbackURL();
>> >                 }
>> 
>> Improper sanitation of getCallbackURL which uses data like REQUEST_URI; and
>> there's more about this, but I'm better going to test it and send the info to
>> bugtraq.
> 
> Feel free to notify me and/or phpcas-devel@esup-portail.org please (or have a
> look at http://www.ja-sig.org/wiki/display/CASC/phpCAS+bug+reports .
> 
>> 
>> What about also shipping the api docs?
>> 
> 
> Well maybe in a separate -doc package, then ?

IIRC it was pretty small, so there's no need, IMHO, to ship it in another
package.

> 
>> > 
>> > I would be glad if someone uploaded this package for me.
>> > 
>> > Kind regards
>> >  Olivier Berger
>> 
>> Cheers,
>> - --
>> Raphael Geissert - Debian Maintainer
>> www.debian.org - get.debian.net
> 
> Thanks alot for the detailed review.
> 
> Regards,

Cheers,
-- 
Raphael Geissert - Debian Maintainer
www.debian.org - get.debian.net






Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Olivier Berger <olivier.berger@it-sudparis.eu>:
Bug#495542; Package wnpp. (Fri, 21 Nov 2008 03:57:02 GMT) Full text and rfc822 format available.

Message #82 received at 495542@bugs.debian.org (full text, mbox):

From: Raphael Geissert <atomo64@gmail.com>
To: Olivier Berger <olivier.berger@it-sudparis.eu>
Cc: 495542@bugs.debian.org, pkg-cas-maintainers@lists.alioth.debian.org
Subject: Re: Fixing the /tmp usage and a bug in validate PGT()
Date: Thu, 20 Nov 2008 21:56:11 -0600
[Message part 1 (text/plain, inline)]
Hi,

On Tuesday 18 November 2008, Olivier Berger wrote:
> FYI, I have prepared another package (available at
> http://mentors.debian.net/debian/pool/main/l/libcas-php/libcas-php_1.0.1-2.
>dsc)
>
Ok, let's see.

>
> In order to address the following issues :
>
> On Tue, Nov 18, 2008 at 09:42:29AM +0100, Olivier Berger wrote:
>>
>> Le lundi 17 novembre 2008 à 15:20 -0600, Raphael Geissert a écrit :>>
>> > debian/rules:
>> > What about cleaning it up?
>> >
>> Sure.
>>
> done

I still see many commented-out lines, why?

>        dh_installman
>        dh_link
>        dh_strip

I don't see neither a manpage around nor a debian/links nor an ELF object.
If they are not used then don't call them.

>
>> > debian/copyright:
>> > > Upstream Author:
>> > >
>> > >          Pascal Aubry
>> >
>> > What about also displaying his email address?
>> Sure.
> done

> The Debian packaging is (C) 2008, Olivier Berger 
<olivier.berger@it-sudparis.eu> and
> is licensed under the GPL, see `/usr/share/common-licenses/GPL'.

You should better be more specific and say exactly what version of the licence 
you want.

>> >
>> > CAS.php:
>> > > define("CAS_PGT_STORAGE_FILE_DEFAULT_PATH",'/tmp');
>> > ..
>> > > define("CAS_PGT_STORAGE_FILE_FORMAT_PLAIN",'plain');
>> >
>> > Doesn't look good at all.
>>
>> Hmmm... I guess that needs to be fixed indeed. Thanks for spotting that.
>
> I have applied a patch in order to use /var/lib/libcas-php/pgtstorage/ and 
not /tmp for storage.

I'm not quite convinced that it is a good solution. But let's hold on for a 
moment on that problem (read below).

>
> Hope I did it in a safe way.
>
>
> In addition, I have tested more the proxy mode and fixed a nasty crash that 
occurred in validatePGT with the new domxml-php4-to-php5.
>

Good

>
> Any comments welcome

$ lintian -I -E libcas-php_1.0.1-2.dsc
I: libcas-php source: debian-watch-file-is-missing

And what about the api docs?

From CAS/client.php:
> function setPGTStorageDB($user,
...
> trigger_error('PGT storage into database is an experim...

If it is not supported then it should be documented and the dependency on 
php-db dropped or downgraded to suggests if you insist/think there are 
chances for it to be used.



I have not fully reviewed/audited the code, but the code has several 
vulnerabilities (symlink attacks, directory traversal, and XSS are those I 
have identified).

The symlinks attack can be launched because of predictable file names used and 
the default storage directory.
To make things worst, the user's input is not sanitized, so it is possible to 
predict the file name where data is going to be written to by passing an 
arbitrary pgtIou GET argument. The same lack of sanitization allows an 
attacker to either perform XSS or directory traversal attacks by abusing the 
callback function in CAS/client.php).

Additionally the functions calling getCallbackURL when proxy mode is enabled 
can lead to XSS attacks if the validation request fails. A similar situation 
also applies to functions calling getURL.

Tomorrow I'll send this information to bugtraq and will file the corresponding 
bug reports against packages shipping phpCAS.

I strongly recommend you and upstream to audit the code.

>
> Best regards,

Cheers,
-- 
Raphael Geissert - Debian Maintainer
www.debian.org - get.debian.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#495542; Package wnpp. (Wed, 10 Mar 2010 17:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 10 Mar 2010 17:54:08 GMT) Full text and rfc822 format available.

Message #87 received at 495542@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: control@bugs.debian.org, 495542@bugs.debian.org
Subject: No longer available to work on this task
Date: Wed, 10 Mar 2010 18:50:37 +0100
retitle 495542 RFP: libcas-php -- CAS client library for PHP
noowner 495542
thanks.

On Fri, Aug 22, 2008 at 12:30:23PM +0200, Olivier Berger wrote:
> 
> So, I'm proposing to package it.
> 

Unfortunately, I have not any more interest in packaging phpCAS at the moment, but I hope someone can take over.

Best regards,




Changed Bug title to 'RFP: libcas-php -- CAS client library for PHP' from 'ITP: libcas-php -- CAS client library for PHP' Request was from Olivier Berger <olivier.berger@it-sudparis.eu> to control@bugs.debian.org. (Wed, 10 Mar 2010 17:54:10 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Olivier Berger <olivier.berger@it-sudparis.eu>. Request was from Olivier Berger <olivier.berger@it-sudparis.eu> to control@bugs.debian.org. (Wed, 10 Mar 2010 17:54:10 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: libcas-php -- CAS client library for PHP (aka phpcas)' from 'RFP: libcas-php -- CAS client library for PHP' Request was from Olivier Berger <obergix@debian.org> to control@bugs.debian.org. (Tue, 05 Jun 2012 14:36:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#495542; Package wnpp. (Wed, 13 Jun 2012 14:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 13 Jun 2012 14:30:04 GMT) Full text and rfc822 format available.

Message #98 received at 495542@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: 495542@bugs.debian.org
Cc: pkg-cas-maintainers@lists.alioth.debian.org
Subject: Updating the packaging bits for phpCAS 1.3.1
Date: Wed, 13 Jun 2012 16:27:48 +0200
On Wed, Mar 10, 2010 at 06:50:37PM +0100, Olivier Berger wrote:
> 
> Unfortunately, I have not any more interest in packaging phpCAS at the moment, but I hope someone can take over.
> 

It seems my interest it a bit stronger these days, so I've attempted to update the packaging based on current 1.3.1 upstream.

I've started to push some changes to allow rebuilding it inside the svn-buildpackage tree, using dpkg-buildpackage, provided one has extracted the upstram tarball.

I intend to get rid of svn-buildpackage and eventually use git-buildpackage.

In the meantime, the result is in http://anonscm.debian.org/gitweb/?p=users/obergix/phpcas.git

Hope this helps
-- 
Olivier BERGER 
http://www-public.it-sudparis.eu/~berger_o/ - OpenPGP-Id: 2048R/5819D7E8
Ingenieur Recherche - Dept INF
Institut Mines-Telecom, Telecom SudParis, Evry (France)





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#495542; Package wnpp. (Wed, 13 Jun 2012 17:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 13 Jun 2012 17:45:07 GMT) Full text and rfc822 format available.

Message #103 received at 495542@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: pkg-cas-maintainers@lists.alioth.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Cc: 495542@bugs.debian.org
Subject: Co-maintainers for phpCAS interested ? - Was: Re: Updating the packaging bits for phpCAS 1.3.1
Date: Wed, 13 Jun 2012 19:41:47 +0200
Hi.

I've prepared in :
http://anonscm.debian.org/gitweb/?p=users/obergix/phpcas.git;h=refs/heads/git-buildpackage%2Bdebpear

an updated packaging for phpCAS (see also RFP #495542).

phpCAS can be managed as a PEAR package for some time, so I've started
over previous packaging attemps, using debpear.

I've tried and branch off upstream's git in order to be able to use
git-buildpackage.

I'd appreciate some review, and potential merge requests in order to try
and upload it soon in time for wheezy.

Hope you'll find this interesting.

Best regards,

P.S.: next, I'll try and use it to reintroduce fusionforge's authcas
plugin in the archive.

Olivier Berger <olivier.berger@it-sudparis.eu> writes:

> On Wed, Mar 10, 2010 at 06:50:37PM +0100, Olivier Berger wrote:
>> 
>> Unfortunately, I have not any more interest in packaging phpCAS at the moment, but I hope someone can take over.
>> 
>
> It seems my interest it a bit stronger these days, so I've attempted to update the packaging based on current 1.3.1 upstream.
>
> I've started to push some changes to allow rebuilding it inside the svn-buildpackage tree, using dpkg-buildpackage, provided one has extracted the upstram tarball.
>
> I intend to get rid of svn-buildpackage and eventually use git-buildpackage.
>
> In the meantime, the result is in http://anonscm.debian.org/gitweb/?p=users/obergix/phpcas.git
>
> Hope this helps


-- 
Olivier BERGER 
http://www-public.it-sudparis.eu/~berger_o/ - OpenPGP-Id: 2048R/5819D7E8
Ingenieur Recherche - Dept INF
Institut Mines-Telecom, Telecom SudParis, Evry (France)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#495542; Package wnpp. (Wed, 13 Jun 2012 19:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <thomas@goirand.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 13 Jun 2012 19:33:03 GMT) Full text and rfc822 format available.

Message #108 received at 495542@bugs.debian.org (full text, mbox):

From: Thomas Goirand <thomas@goirand.fr>
To: Olivier Berger <olivier.berger@it-sudparis.eu>
Cc: pkg-cas-maintainers@lists.alioth.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>, 495542@bugs.debian.org
Subject: Re: [pkg-php-pear] Co-maintainers for phpCAS interested ? - Was: Re: Updating the packaging bits for phpCAS 1.3.1
Date: Thu, 14 Jun 2012 03:31:02 +0800
On 06/14/2012 01:41 AM, Olivier Berger wrote:
> Hi.
> 
> I've prepared in :
> http://anonscm.debian.org/gitweb/?p=users/obergix/phpcas.git;h=refs/heads/git-buildpackage%2Bdebpear

Why not using /git/pkg-php instead of your own private Git repo?

> an updated packaging for phpCAS (see also RFP #495542).
> 
> phpCAS can be managed as a PEAR package for some time, so I've started
> over previous packaging attemps, using debpear.
>
> I'd appreciate some review, and potential merge requests in order to
> try and upload it soon in time for wheezy.

* Why did you add some debian/{docs,examples,install} files then? If
that's a PEAR package, then the package.xml will reference all of these,
"pear install" called by pkg-php-tools will do the work for you.

* I don't think you need the README.source

* If it's an initial release, please clean-up debian/changelog and have
only one entry there (eg, that last one from this month). You are
documenting what's in Debian, not your own work here.

* I don't believe that the apache-2.0 copyright notice you wrote in
debian/copyright is enough. Shouldn't you write the full text of it?

* Why did you override_dh_auto_install ?

* I don't think that the original long description from the package.xml
is good enough (it's not long enough, Lintian should even complain that
it should be more than 3 lines long). I believe this should be fixed
with something more descriptive (replacing ${phppear:description}).

Also, it'd be great if you could follow the branche naming convention
that I wrote here:
http://pkg-php.alioth.debian.org/

BTW, I have just uploaded a new version of debpear with all of your
suggestions (thanks for them). See "man debpear" on how to do what you
needed, I used php-cas as example in the man page! :)
If it didn't reach your favorite SID repo before you want to try, then
just build v0.2 from /git/pkg-php/debpear.git on Alioth.

Cheers,

Thomas




Changed Bug title to 'ITP: php-cas -- Central Authentication Service client library in php' from 'RFP: libcas-php -- CAS client library for PHP (aka phpcas)' Request was from Olivier Berger <obergix@debian.org> to control@bugs.debian.org. (Wed, 13 Jun 2012 19:36:06 GMT) Full text and rfc822 format available.

Owner recorded as obergix@debian.org. Request was from Olivier Berger <obergix@debian.org> to control@bugs.debian.org. (Wed, 13 Jun 2012 19:36:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, obergix@debian.org:
Bug#495542; Package wnpp. (Thu, 14 Jun 2012 06:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <thomas@goirand.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, obergix@debian.org. (Thu, 14 Jun 2012 06:57:03 GMT) Full text and rfc822 format available.

Message #117 received at 495542@bugs.debian.org (full text, mbox):

From: Thomas Goirand <thomas@goirand.fr>
To: Olivier Berger <olivier.berger@it-sudparis.eu>
Cc: pkg-cas-maintainers@lists.alioth.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>, 495542@bugs.debian.org
Subject: Re: [pkg-php-pear] Co-maintainers for phpCAS interested ? - Was: Re: Updating the packaging bits for phpCAS 1.3.1
Date: Thu, 14 Jun 2012 14:53:02 +0800
On 06/14/2012 01:41 AM, Olivier Berger wrote:
> Hope you'll find this interesting.

I forgot, of course, I'd be happy if this was maintained in the PKG PEAR
team, and I may give a hand whenever needed.

Thomas





Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 14 Jun 2012 08:09:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, obergix@debian.org:
Bug#495542; Package wnpp. (Thu, 14 Jun 2012 08:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, obergix@debian.org. (Thu, 14 Jun 2012 08:57:03 GMT) Full text and rfc822 format available.

Message #124 received at 495542@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: Thomas Goirand <thomas@goirand.fr>
Cc: pkg-cas-maintainers@lists.alioth.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>, 495542@bugs.debian.org
Subject: dh_auto_install worked with pkg-php-tools woes - Re: [pkg-php-pear] Co-maintainers for phpCAS interested ? - Was: Re: Updating the packaging bits for phpCAS 1.3.1
Date: Thu, 14 Jun 2012 10:52:13 +0200
Hi.

Thomas Goirand <thomas@goirand.fr> writes:

> On 06/14/2012 01:41 AM, Olivier Berger wrote:
>> Hi.
>> 
>> I've prepared in :
>> http://anonscm.debian.org/gitweb/?p=users/obergix/phpcas.git;h=refs/heads/git-buildpackage%2Bdebpear
>
> Why not using /git/pkg-php instead of your own private Git repo?
>

Cause it was easier for a start. And cause I wanted to go fast instead
of waiting for your advice on where to store it, but that can be changed
easily.

FYI, I also pushed my work to github so as to mark it as a clone of the
upstream repo, in the hope it can be useful wrt git-buildpackage
(security patches tracking and likes).

>> an updated packaging for phpCAS (see also RFP #495542).
>> 
>> phpCAS can be managed as a PEAR package for some time, so I've started
>> over previous packaging attemps, using debpear.
>>
>> I'd appreciate some review, and potential merge requests in order to
>> try and upload it soon in time for wheezy.
>
> * Why did you add some debian/{docs,examples,install} files then? If
> that's a PEAR package, then the package.xml will reference all of these,
> "pear install" called by pkg-php-tools will do the work for you.
>

That's initially what I had started, using the direct result of debpear.

But I didn't like the way dh_auto_install worked with pkg-php-tools :
docs were installed as /usr/share/doc/php-cas/CAS/... instead of
directly under /usr/share/doc/php-cas/, for example for the included
examples/ subdir which should normally be
/usr/share/doc/php-cas/examples/ and not
/usr/share/doc/php-cas/CAS/examples per policy IIRC.

Maybe that's a problem with the package.xml which I could have solved
with a patch, or a problem with pkg-php-tools. But I must say I'm no
expert in debhelper, and I find it more explicit to state what needs to
be installed and where using the debian/[docs|examples|install]
files. The only problem is the path CAS-1.3.1 resulting there, which is
a bit annoying.

Maybe that's another improvement with pkg-php-tools to be able to manage
unversioned directories... but maybe too much demanding WRT the way pear
archives are arriving... 

I've not read all past discussions on pkg-php-pear list so I may be
missing some obvious details.

> * I don't think you need the README.source
>

Yeah, but I'll keep it for a while until my package source repo is a bit
more stable (saving me and comaintainers not using git-buildpackage
daily some more pain).

> * If it's an initial release, please clean-up debian/changelog and have
> only one entry there (eg, that last one from this month). You are
> documenting what's in Debian, not your own work here.
>

Done already (btw, did I report I've uploaded the package to the NEW
queue yesterday late ? ;).

> * I don't believe that the apache-2.0 copyright notice you wrote in
> debian/copyright is enough. Shouldn't you write the full text of it?
>

I'm not sure, but that seems somehow what other packagers have done
already. Lintian didn't complain either.

Maybe the license text doesn't change (no variant for owner of copyright
/ institution names like in other licenses), so that's enough as is.

> * Why did you override_dh_auto_install ?
>

See above.

> * I don't think that the original long description from the package.xml
> is good enough (it's not long enough, Lintian should even complain that
> it should be more than 3 lines long). I believe this should be fixed
> with something more descriptive (replacing ${phppear:description}).
>

Well... I've thought about this but couldn't find a better myself, and
lintian didn't complain so... 

> Also, it'd be great if you could follow the branche naming convention
> that I wrote here:
> http://pkg-php.alioth.debian.org/
>

I'll try and think about it. Thanks. I'll check that when newer versions
need more work. But first, I must work on fusionforge's authcas plugin ;)

> BTW, I have just uploaded a new version of debpear with all of your
> suggestions (thanks for them). See "man debpear" on how to do what you
> needed, I used php-cas as example in the man page! :)
> If it didn't reach your favorite SID repo before you want to try, then
> just build v0.2 from /git/pkg-php/debpear.git on Alioth.
>

I've see you changes. Many thanks.

Thomas Goirand <thomas@goirand.fr> writes:

> On 06/14/2012 01:41 AM, Olivier Berger wrote:
>> Hope you'll find this interesting.
>
> I forgot, of course, I'd be happy if this was maintained in the PKG PEAR
> team, and I may give a hand whenever needed.
>

Thanks.

That's a possibility, but it's not (yet) an "official" PEAR package I
think, even though technically it is... there's also the CAS packaging
team, but which hasn't been very active (it uses SVN, and i'm not sure
how much work it would be in alioth to add/switch to git).

Maybe others will volunteer too, so I'll let a bit of time pass, and
will probably decide on which place it fits best.

In the next uploads I could in any case add the pear team, and maybe the
cas team too as uloaders.

Let's see how it goes, and if more testing, or upstream activity
highlight much need for changes in the package.

> Thomas
>
>

Thanks for all the feedback.

Best regards,
-- 
Olivier BERGER 
http://www-public.it-sudparis.eu/~berger_o/ - OpenPGP-Id: 2048R/5819D7E8
Ingenieur Recherche - Dept INF
Institut Mines-Telecom, Telecom SudParis, Evry (France)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, obergix@debian.org:
Bug#495542; Package wnpp. (Thu, 14 Jun 2012 16:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, obergix@debian.org. (Thu, 14 Jun 2012 16:21:06 GMT) Full text and rfc822 format available.

Message #129 received at 495542@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Olivier Berger <olivier.berger@it-sudparis.eu>
Cc: pkg-cas-maintainers@lists.alioth.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>, 495542@bugs.debian.org, Mathieu Parent <sathieu@debian.org>
Subject: Re: dh_auto_install worked with pkg-php-tools woes - Re: [pkg-php-pear] Co-maintainers for phpCAS interested ? - Was: Re: Updating the packaging bits for phpCAS 1.3.1
Date: Fri, 15 Jun 2012 00:17:03 +0800
On 06/14/2012 04:52 PM, Olivier Berger wrote:
> Cause it was easier for a start. And cause I wanted to go fast instead
> of waiting for your advice on where to store it, but that can be changed
> easily.
> 
> FYI, I also pushed my work to github so as to mark it as a clone of the
> upstream repo, in the hope it can be useful wrt git-buildpackage
> (security patches tracking and likes).

Please don't store Debian stuff on Github. Feel free to make it a backup
of what's on Alioth (using a Git hook for example, there's a recent
thread about this in debian-devel@l.d.o, and it seems easy to do). IMO,
we are really better of using our own Debian server, rather than a 3rd
party which does commercial operation and who doesn't open its source
code (I mean by that that github itself is closed source).

I hope you wont see me as an open source extremist when writing this. I
just believe that Debian should stay independent from any 3rd party...

>> * Why did you add some debian/{docs,examples,install} files then? If
>> that's a PEAR package, then the package.xml will reference all of these,
>> "pear install" called by pkg-php-tools will do the work for you.
>>
> 
> That's initially what I had started, using the direct result of debpear.
> 
> But I didn't like the way dh_auto_install worked with pkg-php-tools :
> docs were installed as /usr/share/doc/php-cas/CAS/... instead of
> directly under /usr/share/doc/php-cas/, for example for the included
> examples/ subdir which should normally be
> /usr/share/doc/php-cas/examples/ and not
> /usr/share/doc/php-cas/CAS/examples per policy IIRC.

If you don't like the way pkg-php-tools does, then let's discuss that
instead! I don't really like it either, but at least we have a standard
for all of our PEAR packages, which is what pkg-php-tools is about.

Also, remember that pkg-php-tools is team maintained, and that Mathieu
Parent (its original author) doesn't have much time to maintain it
currently (he posted about it), so it'd be really welcome if you could
help enhancing it. I've already sent minor patches against it, but I'm
not so good with Perl, so help would be welcome!

> /usr/share/doc/php-cas/examples/ and not
> /usr/share/doc/php-cas/CAS/examples per policy IIRC.

I don't think the policy imposes you this. The later is fine, IMO. Could
you point to the policy manual part that does say this?

> Maybe that's a problem with the package.xml which I could have solved
> with a patch, or a problem with pkg-php-tools. But I must say I'm no
> expert in debhelper, and I find it more explicit to state what needs to
> be installed and where using the debian/[docs|examples|install]
> files.

Well, again, I believe we should make all of our PEAR packages the same
way, and avoid multiple packaging standards. I don't see the trouble
with having /usr/share/doc/php-cas/CAS. In any ways, if you want to
remove that folder, then it could be done a way faster using:

override_dh_link:
	dh_link -O--buildsystem=phppear
	mv debian/php-cas/usr/share/doc/php-cas/CAS/* \
		debian/php-cas/usr/share/doc/php-cas
	rmdir debian/php-cas/usr/share/doc/php-cas/CAS

That's 4 lines of debian/rules that are avoiding 3 files under your
debian folder, plus it works even if upstream is changing stuff in his
package.xml.

Anyway again, I think this should be solved by modifying pkg-php-tools,
rather than modifying each individual PEAR package we maintain.

I have added Mathieu Parent as Cc:, so he will be able to tell why he
decided to use
/usr/share/doc/php-<pear-package-name>/<pear-package-name> for storing
docs. I am suspecting this is to avoid file collision.

> Done already (btw, did I report I've uploaded the package to the NEW
> queue yesterday late ? ;).

Nope! Well done! :)
I hope you'll make it for Wheezy.

By the way, I had no time to handle the nusoap stuff. Do you think you
could? Do you think we need to ask for a transition with the release
team? Or maybe it's too late already?

>> * I don't believe that the apache-2.0 copyright notice you wrote in
>> debian/copyright is enough. Shouldn't you write the full text of it?
>>
> 
> I'm not sure, but that seems somehow what other packagers have done
> already. Lintian didn't complain either.

That's not what I've seen in other packages, but you may be right.
Anyway, if you're wrong, you'll take the responsibility of it, and
handle the ftp-masters flame! :)

>> * Why did you override_dh_auto_install ?
>>
> 
> See above.

I don't get it. There was an empty override_dh_auto_install. This was to
avoid that pkg-php-tools does it? Then how the hell did you get the .reg
in? :)

Cheers,

Thomas Goirand (zigo)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, obergix@debian.org:
Bug#495542; Package wnpp. (Wed, 20 Jun 2012 16:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mathieu Parent (Debian)" <sathieu@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, obergix@debian.org. (Wed, 20 Jun 2012 16:24:03 GMT) Full text and rfc822 format available.

Message #134 received at 495542@bugs.debian.org (full text, mbox):

From: "Mathieu Parent (Debian)" <sathieu@debian.org>
To: Thomas Goirand <zigo@debian.org>
Cc: Olivier Berger <olivier.berger@it-sudparis.eu>, 495542@bugs.debian.org, pkg-cas-maintainers@lists.alioth.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Subject: Re: [pkg-php-pear] dh_auto_install worked with pkg-php-tools woes - Re: Co-maintainers for phpCAS interested ? - Was: Re: Updating the packaging bits for phpCAS 1.3.1
Date: Wed, 20 Jun 2012 18:21:01 +0200
Hi all,

2012/6/14 Thomas Goirand <zigo@debian.org>:
[...]
> I have added Mathieu Parent as Cc:, so he will be able to tell why he
> decided to use
> /usr/share/doc/php-<pear-package-name>/<pear-package-name> for storing
> docs. I am suspecting this is to avoid file collision.

I have not! ;-) This is php's fault :-P

See the code [code]:
"doc_dir=/usr/share/doc/".$this->_get_mainpackage(), (aka
doc_dir=/usr/share/doc/<packagename>).

[code]: http://anonscm.debian.org/gitweb/?p=pkg-php/pkg-php-tools.git;a=blob;f=lib/perl/Debian/Debhelper/Buildsystem/phppear.pm;h=3924dfaea4d21459154fc102aaef7bfb62cf053b;hb=HEAD

I agree with you both, the docs should go in
/usr/share/doc/<packagename> and not in subdirs. This can be done in
pkg-php-tools by issuing a move after the install (between line 114
and line 115, you can add an if...move).

(Yes, I'm still busy, but have some time to write mails)

Cheers
-- 
Mathieu Parent




Reply sent to Olivier Berger <obergix@debian.org>:
You have taken responsibility. (Thu, 28 Jun 2012 06:51:03 GMT) Full text and rfc822 format available.

Notification sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Bug acknowledged by developer. (Thu, 28 Jun 2012 06:51:03 GMT) Full text and rfc822 format available.

Message #139 received at 495542-close@bugs.debian.org (full text, mbox):

From: Olivier Berger <obergix@debian.org>
To: 495542-close@bugs.debian.org
Subject: Bug#495542: fixed in php-cas 1.3.1-1
Date: Thu, 28 Jun 2012 06:49:12 +0000
Source: php-cas
Source-Version: 1.3.1-1

We believe that the bug you reported is fixed in the latest version of
php-cas, which is due to be installed in the Debian FTP archive:

php-cas_1.3.1-1.debian.tar.gz
  to main/p/php-cas/php-cas_1.3.1-1.debian.tar.gz
php-cas_1.3.1-1.dsc
  to main/p/php-cas/php-cas_1.3.1-1.dsc
php-cas_1.3.1-1_all.deb
  to main/p/php-cas/php-cas_1.3.1-1_all.deb
php-cas_1.3.1.orig.tar.gz
  to main/p/php-cas/php-cas_1.3.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 495542@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Olivier Berger <obergix@debian.org> (supplier of updated php-cas package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 13 Jun 2012 22:37:43 +0200
Source: php-cas
Binary: php-cas
Architecture: source all
Version: 1.3.1-1
Distribution: unstable
Urgency: low
Maintainer: Olivier Berger <obergix@debian.org>
Changed-By: Olivier Berger <obergix@debian.org>
Description: 
 php-cas    - ${phppear:summary}
Closes: 495542
Changes: 
 php-cas (1.3.1-1) unstable; urgency=low
 .
   * Initial release. (Closes: #495542)
Checksums-Sha1: 
 fbcd03f080f7ba22fb7d77b180e1d35d42a26fd5 1930 php-cas_1.3.1-1.dsc
 dacf703950701f948cba6048ef033e7612b4494f 89389 php-cas_1.3.1.orig.tar.gz
 28400feedc8c85228df25d2b344787e5e5862ffb 2780 php-cas_1.3.1-1.debian.tar.gz
 6eb1c690fde5fc81d56c73db2c87e7ec45ab5632 78670 php-cas_1.3.1-1_all.deb
Checksums-Sha256: 
 90036b4fbd9d9be4d5446f0377e4d05711b22b2d1468c02a32d967e0f39f4349 1930 php-cas_1.3.1-1.dsc
 72308eb2f42ee5eeef3681100f1cf258a9cdc25edb38543a7f0c8c8f3bcf4129 89389 php-cas_1.3.1.orig.tar.gz
 0bc8f2da72a63977fd95f26c937bae9b75689df8164edc6714b16ef041cedf15 2780 php-cas_1.3.1-1.debian.tar.gz
 cce07b0ee94d77a6beae4b53dfe15c8d081fb38d062cc37e29a5d03c5f21ef44 78670 php-cas_1.3.1-1_all.deb
Files: 
 b34946cb899e97136ea6a94cf712869d 1930 php optional php-cas_1.3.1-1.dsc
 90773740cc703eaa51a23901476f1042 89389 php optional php-cas_1.3.1.orig.tar.gz
 4537a39ba54f90c5f487f3da2624fb93 2780 php optional php-cas_1.3.1-1.debian.tar.gz
 24175646c4f05911cdf643f36dd34f12 78670 php optional php-cas_1.3.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJP2PwxAAoJEOlB3tp8W7alz8AP/1Eeyo7ermCkzuP9cGOx6Vmi
1JyN7vTvH7f7kGzn7COqzBxlniXo341bVygd9QCpMa/T8jnsvOXpXJ0HsmZh959M
IpGp2ca+iGEyIcMHeSUc/flLotUMeAz5zqEQLf27wjIg1VO+VpdLLN2VmQvF4czG
YPlRryd3yodeDdEjkTbTZSffRmgYibciEhthI6V6Xmh7Ey+Wv8KHJ9dp14Zg/M0L
blVv2JeuxysnfnaxmlZxzR7nzR4FN+O/RS1E2qaHYrVWvD7tWRRLBK7f5k97y3v9
oLbO6PslCED3hbgGpnaAsoXePRBEHQbJtx8fMXnFYY5PP5CxE0g/t3KHsQjyeQxD
+MoDAo77wiVXBMZ81QxlNSZbIzh4eNMnngNHf5nj+2ZDvFaX/Y8UuNk1Nj/8DPX1
FQKSGniUA5qAEoTJhryLRvOCg91HB8gT/jhdQ6EkQceK6JQ68C8SoSxACVAx5W9L
t7GfFt3gKj/tKILFPg5IWV0qd7t7+iyEObwOCW6kAyqbt7AdEyLGACHy4uYPyqr7
wRDAZfhzfazgY6ID89qBktzMI37Y1JTZN7dHGJFMDNCjc4HHi4P5QVl/0kjyMYaa
ZznxOo4wqnOrh2lgyPokrmkfr77NijhxieoS6PmcNwm9ch/3744F8qZ8N8pvXYo+
F8jLHAHvlbCWTIIRZwQn
=LU46
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 26 Jul 2012 07:31:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:15:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.